> ## Documentation Index
> Fetch the complete documentation index at: https://docs.groundforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User



## OpenAPI

````yaml /openapi/groundforge-openapi-v1.json post /v1/users
openapi: 3.1.0
info:
  title: GroundForge REST API
  version: 86Y.5p.6v.6aq
  description: >-
    Current GroundForge SaaS administration, Agent, Channel, MCP, governance,
    observability, and LangChain integration endpoints.
servers:
  - url: https://platform.groundforge.ai
    description: GroundForge SaaS
security: []
paths:
  /v1/users:
    post:
      summary: Create User
      operationId: create_user_v1_users_post
      parameters:
        - name: tenant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tenant Id
        - name: sub_tenant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sub Tenant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    CreateUserRequest:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        tenantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenantid
        subTenantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtenantid
        email:
          type: string
          title: Email
        displayName:
          type: string
          title: Displayname
        status:
          $ref: '#/components/schemas/UserStatus'
          default: active
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - email
        - displayName
      title: CreateUserRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserStatus:
      type: string
      enum:
        - invited
        - canceled
        - active
        - disabled
        - archived
      title: UserStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OIDC access token for users and CLI clients.
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Scoped service-account API key for external Agents and runtime clients.

````

## Related topics

- [Create Event](/api-reference/endpoints/create-event.md)
- [Create Group](/api-reference/endpoints/create-group.md)
- [Create Credential](/api-reference/endpoints/create-credential.md)
- [Identity and Access](/concepts/identity.md)
